<template>
    <a-card title="Réception SMTP error" style="width: 100%">
        <div class="row mb-3">
            <div class="col-12 d-flex justify-content-end">
                <a-tooltip placement="topRight" :arrow="mergedArrow">
                    <template #title>
                        <span>Rafraichir</span>
                    </template>
                    <a-button type="default" tooltip>
                        <i class="fa-solid fa-fan"></i>
                    </a-button>
                </a-tooltip>

            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <a-table :dataSource="users" :columns="columns" :scroll="{ x: 576 }">
                    <template #bodyCell="{ column, index, record }">
                        <template v-if="column.key === 'index'">
                            <span>{{ index + 1 }}</span>
                        </template>

                        <template v-if="column.key === 'status'">
                            <span v-if="record.status_id == 1" class="text-primary">{{ record.status }}</span>
                            <span v-else-if="record.status_id == 2" class="text-danger">{{ record.status }}</span>
                        </template>

                        <template v-if="column.key === 'action'">
                            <a-button type="primary" class="me-0 me-sm-2 mb-2 mb-sm-0">
                                <i class="fa-solid fa-pen-to-square"></i>
                            </a-button>

                            <a-button type="primary" class="danger" @click="destroy(record.id)">
                                <i class="fa-solid fa-trash-can"></i>
                            </a-button>
                        </template>
                    </template>
                </a-table>
            </div>
        </div>
    </a-card>
</template>

<script>
import { useMenu } from "../../../stores/use-menu.js";

export default {
    setup() {
        useMenu().onSelectedKeys(["admin-roles"]);
        const columns = [
            {
                title: "#",
                key: "index",
            },
            {
                title: "Email",
                key: "email",
            },
            {
                title: "Date de création",
                dataIndex: "creationdate",
                key: "creationdate",
            },
            {
                title: "Dernière tentative",
                dataIndex: "lastattemptdate",
                key: "lastattemptdate",
            },
            {
                title: "Nombre d'échec",
                dataIndex: "nbko",
                key: "nbko",
                responsive: ["sm"],
            },
            {
                title: "Action",
                key: "action",
                fixed: "right",
            },
        ];
        return {
            columns

        };
    },
}
</script>